Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# POA_CORBA::Policy Class Reference

`#include <PolicyS.h>`

Inheritance diagram for POA_CORBA::Policy:

[legend]
Collaboration diagram for POA_CORBA::Policy:

[legend]
List of all members.

## Public Types
typedef ::CORBA::Policy | _stub_type
typedef ::CORBA::Policy_ptr | _stub_ptr_type
typedef ::CORBA::Policy_var | _stub_var_type
## Public Member Functions
| Policy (const Policy &rhs)
virtual | ~Policy (void)
virtual CORBA::Boolean | _is_a (const char *logical_type_id)
| Local implementation of the CORBA::Object::_is_a method.
virtual void | _dispatch (TAO_ServerRequest &req, void *servant_upcall)
::CORBA::Policy * | _this ()
virtual const char * | _interface_repository_id (void) const
| Get this interface's repository id (TAO specific).
virtual CORBA::PolicyType | policy_type ()=0 throw ( CORBA::SystemException )
virtual ::CORBA::Policy_ptr | copy ()=0 throw ( CORBA::SystemException )
virtual void | destroy ()=0 throw ( CORBA::SystemException )
## Static Public Member Functions
void | _is_a_skel (TAO_ServerRequest &req, void *servant_upcall, void *servant)
void | _non_existent_skel (TAO_ServerRequest &req, void *servant_upcall, void *servant)
void | _interface_skel (TAO_ServerRequest &req, void *servant_upcall, void *servant)
void | _component_skel (TAO_ServerRequest &req, void *servant_upcall, void *servant)
void | _get_policy_type_skel (TAO_ServerRequest &server_request, void *servant_upcall, void *servant)
void | copy_skel (TAO_ServerRequest &server_request, void *servant_upcall, void *servant)
void | destroy_skel (TAO_ServerRequest &server_request, void *servant_upcall, void *servant)
## Protected Member Functions
| Policy (void)

## Member Typedef Documentation

typedef ::CORBA::Policy_ptr POA_CORBA::Policy::_stub_ptr_type

typedef ::CORBA::Policy POA_CORBA::Policy::_stub_type

typedef ::CORBA::Policy_var POA_CORBA::Policy::_stub_var_type

## Constructor & Destructor Documentation

POA_CORBA::Policy::Policy | ( | void |  | ) | `[protected]`

POA_CORBA::Policy::Policy | ( | const Policy & | rhs | ) |

POA_CORBA::Policy::~Policy | ( | void |  | ) | `[virtual]`

## Member Function Documentation

void POA_CORBA::Policy::_component_skel | ( | TAO_ServerRequest & | req,
|  | void * | servant_upcall,
|  | void * | servant
| ) | `[static]`

void POA_CORBA::Policy::_dispatch | ( | TAO_ServerRequest & | req,
|  | void * | servant_upcall
| ) | `[virtual]`

| Dispatches a request to the object: find the operation, cast the type to the most derived type, demarshall all the parameters from the request and finally invokes the operation, storing the results and out parameters (if any) or the exceptions thrown into request. Implements TAO_ServantBase.

void POA_CORBA::Policy::_get_policy_type_skel | ( | TAO_ServerRequest & | server_request,
|  | void * | servant_upcall,
|  | void * | servant
| ) | `[static]`

const char * POA_CORBA::Policy::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| Get this interface's repository id (TAO specific). Implements TAO_ServantBase.

void POA_CORBA::Policy::_interface_skel | ( | TAO_ServerRequest & | req,
|  | void * | servant_upcall,
|  | void * | servant
| ) | `[static]`

virtual CORBA::Boolean POA_CORBA::Policy::_is_a | ( | const char * | logical_type_id | ) | `[virtual]`

| Local implementation of the CORBA::Object::_is_a method. Reimplemented from TAO_ServantBase.

void POA_CORBA::Policy::_is_a_skel | ( | TAO_ServerRequest & | req,
|  | void * | servant_upcall,
|  | void * | servant
| ) | `[static]`

void POA_CORBA::Policy::_non_existent_skel | ( | TAO_ServerRequest & | req,
|  | void * | servant_upcall,
|  | void * | servant
| ) | `[static]`

CORBA::Policy * POA_CORBA::Policy::_this | ( |  | ) |

virtual ::CORBA::Policy_ptr POA_CORBA::Policy::copy | ( |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

void POA_CORBA::Policy::copy_skel | ( | TAO_ServerRequest & | server_request,
|  | void * | servant_upcall,
|  | void * | servant
| ) | `[static]`

virtual void POA_CORBA::Policy::destroy | ( |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

void POA_CORBA::Policy::destroy_skel | ( | TAO_ServerRequest & | server_request,
|  | void * | servant_upcall,
|  | void * | servant
| ) | `[static]`

virtual CORBA::PolicyType POA_CORBA::Policy::policy_type | ( |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

The documentation for this class was generated from the following files:

- PolicyS.h
- PolicyS.cpp